Page MenuHomePhabricator

As a user, I want to see language names both in their native representation and translated into my language so that I can understand which languages an article is translated in.
Closed, ResolvedPublic

Description

Being done as part of the language switcher update needed here: https://phabricator.wikimedia.org/T119150

I raised this issue here:
https://phabricator.wikimedia.org/T97780#1384622

And Kaity concurred here:
https://phabricator.wikimedia.org/T97780#1389570

From my comment link above:

Without the language names we now have a list which is mostly meaningless to the average person who only speaks at most a couple languages and can only make sense of at most a couple items on the list. Previously every item on the list was meaningful - I would even sometimes linger on the picker because the lang names made it fun to see, "oh, that's what Urdu script looks like" :(

I realize the lang names were in English, but I think we should spend the time to show them translated to the current device lang just like Apple does:

When my device lang is English Apple also shows each lang name (the smaller font) in English:

When my device lang is Hebrew Apple also shows each lang name in Hebrew:

Technically, we can probably get most of the lang name translations from NSLocale: http://stackoverflow.com/a/26644566/135557

Also, adding titles seems somewhat redundant* as you're already on that page. For some pages it gets *very* redundant:

With the following one there's no redundancy and it looks cool, but again, if I only speak one or 2 languages, w/o the canonical name, most of these list items mean nothing to me:

*I say the titles are redundant because I imagine the user, for example, reading about "Fish", now they tap the "read in other languages" button, they don't need to be reminded by every item on the list that each item is also about fish. The point of the picker is to choose another language, if we think they've forgotten what they're picking I'd rather show a single text box near the top of the picker which says something like "You can read about Fish in the following languages".

But I'm even ok with sometimes-redundant-titles as long as we can have the lang names back :)

Event Timeline

Mhurd created this task.Sep 4 2015, 7:16 PM
Mhurd raised the priority of this task from to Needs Triage.
Mhurd updated the task description. (Show Details)
Mhurd moved this task to Needs Triage on the Wikipedia-iOS-App-Backlog board.
Mhurd added a subscriber: Mhurd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2015, 7:16 PM
Mhurd updated the task description. (Show Details)Sep 4 2015, 7:16 PM
Mhurd set Security to None.
Mhurd updated the task description. (Show Details)
Mhurd added a subscriber: Fjalapeno.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 24 2015, 8:19 PM
BGerstle-WMF renamed this task from Re-add language names (in device language) to language picker to As a user, I want to see language names both in their native representation and translated into my language so that I can understand which languages an article is translated in..Nov 24 2015, 8:20 PM
JMinor triaged this task as Normal priority.Dec 8 2015, 6:22 PM
JMinor updated the task description. (Show Details)
JMinor assigned this task to Mhurd.Dec 8 2015, 6:41 PM

Checked with 5.0.0.549 on iPad mini iOS 8.2

NOTE: For articles' lang, in the non-preferred lang section, the font is too small?
  1. The device language is English

wiki Language page



Article lang selection page

  1. The device language is Hebrew

wiki Language page


Article lang selection page

JMinor closed this task as Resolved.Dec 15 2015, 11:03 PM
JMinor added a subscriber: JMinor.